/*
 * Class TABLE [REAL_64, INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_340 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_340 [] = {0xFF01,237,339,194,206,0xFFFF};
static const EIF_TYPE_INDEX egt_2_340 [] = {0xFF01,339,194,206,0xFFFF};
static const EIF_TYPE_INDEX egt_3_340 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_340 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_340 [] = {0xFF01,339,194,206,0xFFFF};
static const EIF_TYPE_INDEX egt_6_340 [] = {0xFF01,339,194,206,0xFFFF};
static const EIF_TYPE_INDEX egt_7_340 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_340 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_340 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_340 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_340 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_340 [] = {339,194,206,0xFFFF};
static const EIF_TYPE_INDEX egt_13_340 [] = {0xFF01,339,194,206,0xFFFF};
static const EIF_TYPE_INDEX egt_14_340 [] = {0xFF01,333,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_340 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_340 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_340 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_340 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_340[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_340), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_340), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_340), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_340), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_340), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_340), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_340), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_340), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_340), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_340), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_340), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_340), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_340), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_340), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1855, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1856, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1857, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1858, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1859, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_340), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_340), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1926, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1969, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1927, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1928, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_340), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_340), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_340), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init340(void)
{
	IDSC(desc_340, 0, 339);
	IDSC(desc_340 + 1, 1, 339);
	IDSC(desc_340 + 32, 77, 339);
	IDSC(desc_340 + 41, 282, 339);
	IDSC(desc_340 + 50, 187, 339);
	IDSC(desc_340 + 56, 229, 339);
}


#ifdef __cplusplus
}
#endif
